de.esprit.appsuite.nio.ndf

## Enum NotifyBodText

- java.lang.Object
- - java.lang.Enum<NotifyBodText>
  - - de.esprit.appsuite.nio.ndf.NotifyBodText

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NotifyBodText>

      public enum NotifyBodText
      extends java.lang.Enum<NotifyBodText>

  This enum controls how body text is evaluated and notified.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NOTIFY` Tells to evaluate and notify the body text of the currently parsed object by calling `NdfHandler.foundBodyText(java.util.List)`.
    `SKIP` Tells to skip the body text of the currently parsed object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NotifyBodText` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NotifyBodText[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOTIFY

          public static final NotifyBodText NOTIFY

      Tells to evaluate and notify the body text of the currently parsed object by calling `NdfHandler.foundBodyText(java.util.List)`.

    - #### SKIP

          public static final NotifyBodText SKIP

      Tells to skip the body text of the currently parsed object. Thus `NdfHandler.foundBodyText(java.util.List)` will not be called any more. This speeds up parsing because no body text evaluation is done.

  - ### Method Detail

    - #### values

          public static NotifyBodText[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotifyBodText c : NotifyBodText.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotifyBodText valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2012 EsprIT-Systems. All Rights Reserved.